Creates a new catalog checklist template
curl --request POST \
--url https://api.rootly.com/v1/catalog_checklist_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_checklist_templates",
"attributes": {
"name": "<string>",
"catalog_type": "Service",
"scope_type": "Team",
"description": "<string>",
"scope_id": "<string>",
"fields": [
{
"field_source": "builtin",
"field_key": "<string>",
"catalog_property_id": "<string>"
}
],
"owners": [
{
"id": "<string>",
"type": "field"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_checklist_templates",
"attributes": {
"name": "<string>",
"catalog_type": "Service",
"scope_type": "Team",
"scope_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"fields": [
{
"field_source": "builtin",
"field_key": "<string>",
"catalog_property_id": "<string>"
}
],
"owners": [
{
"id": "<string>",
"type": "field"
}
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
creates template with multiple fields and field-based owner
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/catalog_checklist_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_checklist_templates",
"attributes": {
"name": "<string>",
"catalog_type": "Service",
"scope_type": "Team",
"description": "<string>",
"scope_id": "<string>",
"fields": [
{
"field_source": "builtin",
"field_key": "<string>",
"catalog_property_id": "<string>"
}
],
"owners": [
{
"id": "<string>",
"type": "field"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_checklist_templates",
"attributes": {
"name": "<string>",
"catalog_type": "Service",
"scope_type": "Team",
"scope_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"fields": [
{
"field_source": "builtin",
"field_key": "<string>",
"catalog_property_id": "<string>"
}
],
"owners": [
{
"id": "<string>",
"type": "field"
}
]
}
}
}